All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::amg< NumericT > Struct Template Reference

Main kernel class for generating OpenCL kernels for compressed_matrix. More...

`#include <amg.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::opencl::kernels::amg< NumericT >

Main kernel class for generating OpenCL kernels for compressed_matrix.

Definition at line 346 of file amg.hpp.

## Member Function Documentation

template<typename NumericT >

static void viennacl::linalg::opencl::kernels::amg< NumericT >::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 353 of file amg.hpp.

template<typename NumericT >

static std::string viennacl::linalg::opencl::kernels::amg< NumericT >::program_name | ( |  | ) |

inline static

Definition at line 348 of file amg.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/amg.hpp